Show / Hide Table of Contents

# Class WindowFactory

Factory used to create a SimpleSDLWindow set up to work with the selected renderer.

##### Inheritance

System.Object
WindowFactory

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class WindowFactory

### Methods

| Improve this Doc View Source

#### CreateForRenderer(IRenderer, WindowCreateInfo)

Creates a window configured for use with the specified renderer.

##### Declaration

    public static SimpleSDLWindow CreateForRenderer(IRenderer renderer, WindowCreateInfo createInfo)

##### Parameters

Type | Name | Description
--- | --- | ---
IRenderer | renderer | The renderer to use with this window.
WindowCreateInfo | createInfo | The WindowCreateInfo specifying the details of window creation.

##### Returns

Type | Description
--- | ---
SimpleSDLWindow |